# Mounting devices

## Mounting regular partitions

### Spot your device

```sh
sudo fdisk -l
```

or to list only partitions of one particular disk

```sh
sudo fdisk -l /dev/sdb
```

### Mount partition

Like _ext4_, to an existing directory :

```sh
sudo mount /dev/sdb3 iss_share
```

## Mount encrypted partition

### Check if encrypted

```sh
sudo cryptsetup isLuks -v /dev/sdb2
```

### Decypher

```sh
sudo cryptsetup open /dev/sdb2 iss_cyph_bridge
```

### Check status

```sh
sudo cryptsetup status iss_cyph_bridge
```

### Mount partiton

Mount the partiton binded in _/dev/mapper_ as a regular partition.

```sh
sudo mount /dev/mapper/iss_cyph_bridge iss_cyph
```

## Unmount

### Regular partition

```sh
sudo umount /media/jovian/iss_share
```

### Encrypted partition

```sh
sudo umount iss_cyph
sudo cryptsetup close iss_cyph_bridge
```

### Power off external drive

Useful for safe removal.

```sh
sudo udisksctl power-off -b /dev/sdb
```
